/* Content fullscreen buscador */
#custom-fullscreen-search {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(34, 37, 37, 0.4);
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateY(-100%);
    opacity: 0;
    transition: transform 0.4s ease, opacity 0.4s ease;
    z-index: 9999;
}

#custom-fullscreen-search.open {
    transform: translateY(0);
    opacity: 1;
}

/* Content buscador */
#custom-fullscreen-search .content-search {
    position: absolute;
    top: 12px;
    right: 12px;
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
    width: calc(100% - 24px);
    height: auto;
    max-height: 400px;
    padding: 24px;
    background: var(--surface);
    border-radius: var(--corner-small);
    opacity: 0;
    transition: .7s cubic-bezier(.92, .17, .56, .99);
    transition-delay: 0s, 0s;
    z-index: 9999;
    transform: scaleY(0);
    transform-origin: top;
}

#custom-fullscreen-search.open .content-search {
    opacity: 1;
    transform: scaleY(1);
    transition-delay: 0s;
}

/* botón cerrar */
#custom-fullscreen-search .search-close {
    position: relative;
    cursor: pointer;
    border: 2px solid var(--border);
    border-radius: var(--corner-small);
    width: 80px;
    height: 80px;
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background: no-repeat;
    overflow: hidden;
    transition: var(--transition);
}

#custom-fullscreen-search .search-close:focus-visible {
    outline: 4px solid var(--button-solid-focus-outline-color);
    outline-offset: 2px;
}

#custom-fullscreen-search .search-close .material-symbols-rounded {
    font-size: 56px;
    color: var(--on-background-main);
    z-index: 1;
    transition: var(--transition);
}

#custom-fullscreen-search .search-close:hover .material-symbols-rounded {
    color: var(--on-background-light);
}

#custom-fullscreen-search .search-close::before {
    content: "";
    height: 80px;
    width: 80px;
    background-color: var(--background-neutral);
    position: absolute;
    border-radius: var(--corner-small);
    left: -2px;
    top: 78px;
    transition: var(--transition);
    z-index: 0;
}

#custom-fullscreen-search .search-close:hover::before {
    top: -2px;
}

/* form buscador */
.content-search .search-form {
    display: flex;
    gap: 24px;
    width: calc(100% - 104px);
}

.content-search .search-form .search-input-wrapper {
    width: 100%;
    position: relative;
}

.content-search .search-form input {
    border: 2px solid var(--surface-border);
    border-radius: var(--corner-small);
    width: 100%;
    background: none;
    color: var(--on-background);
    font-size: 40px;
    font-weight: 500;
    line-height: 100%;
    padding: 12px 24px;
    cursor: pointer;
    transition: var(--transition);
}

.content-search .search-form input:hover,
.content-search .search-form input:focus,
.content-search .search-form input:focus-visible {
    border-color: var(--border);
}

.content-search .search-form input::placeholder {
    color: var(--on-background-light-soft);
}

.content-search .search-form input::after {
    content: "search";
    font-family: "Material Symbols Rounded";
    font-size: 10px;
    position: absolute;
    top: 1px;
    right: 12px;
}

.content-search .search-form .search-input-wrapper input+.search-icon {
    font-size: 48px;
    position: absolute;
    right: 16px;
    top: 16px;
    color: var(--on-background-light-soft);
    transition: var(--transition);
}

.content-search .search-form .search-input-wrapper input:hover+.search-icon {
    color: var(--on-background);
}

.content-search .search-form .search-input-wrapper input:focus+.search-icon {
    color: var(--on-background-light-soft);
}

/* resultados */
#search-results {
    display: none;
    /* padding: 0; */
    width: 100%;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    max-height: 248px;
    border: 2px solid var(--border);
    border-radius: var(--corner-small);
    padding: 12px;
    background-color: var(--on-background-light-soft);
    overflow: scroll;
}

#search-results.show {
    display: flex;
    /* solo se muestra cuando tenga resultados */
}

#search-results .search-item {
    display: block;
    padding: 10px 15px;
    background: rgba(248, 249, 249, 0.95);
    border-radius: 6px;
    text-decoration: none;
    transition: transform 0.2s ease, box-shadow 0.2s ease, background 0.2s ease;
}

#search-results .search-item:hover {
    transform: translateX(5px);
    background: rgba(240, 240, 240, 1);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

#search-results .search-item .search-title {
    display: block;
    font-weight: 500;
    font-size: 16px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 400px;
}

#search-results .no-results {
    font-style: italic;
    color: var(--Error-400-E);
}

#search-results .no-results.letters-minimum {
    color: var(--on-background);
    font-weight: 400;
}

/* ············································································responsive 767px ······································ */
@media (max-width: 767px) {
    #custom-fullscreen-search {
        width: calc(100% + 16px);
        top: -8px;
        left: -8px;
        height: calc(100% + 16px);
    }

    #custom-fullscreen-search .content-search {
        top: 8px;
        left: 8px;
        gap: 8px;
        width: calc(100% - 16px);
        padding: 8px;
    }

    .content-search .search-form {
        gap: 8px;
        width: calc(100% - 56px);
    }

    .content-search .search-form input {
        font-size: 20px;
        padding: 9px 12px;
    }

    .search-form #search-submit {
        width: 48px;
        height: 48px;
        padding: 0;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .search-form #search-submit:disabled .label-btn,
    .search-form #search-submit .label-btn {
        display: none;
    }

    .search-form #search-submit:disabled .icon-btn,
    .search-form #search-submit .icon-btn {
        background: none;
    }

    .search-form #search-submit .icon-btn .material-symbols-rounded {
        color: var(--button-solid-on-background-color);
    }

    .search-form #search-submit:hover .icon-btn .material-symbols-rounded {
        color: var(--button-solid-hover-on-background-color);
    }

    #custom-fullscreen-search .search-close {
        width: 48px;
        height: 48px;
    }

    #custom-fullscreen-search .search-close::before {
        height: 48px;
        width: 48px;
        top: 46px;
    }

    #custom-fullscreen-search .search-close .material-symbols-rounded {
        font-size: 40px;
    }

    #search-results {
        gap: 6px;
        padding: 8px;
    }

    #search-results .search-item {
        padding: 0 8px;
        height: 32px;
        line-height: 28px;
        max-width: initial;
    }

    #search-results .search-item .search-title {
        font-size: 14px;
        overflow: inherit;
        text-overflow: inherit;
        max-width: initial;
    }

    #search-results .no-results {
        font-size: 14px;
        line-height: 130%;
    }
}